# Uses of Interface
org.jmol.api.JmolScriptEvaluator

Packages that use JmolScriptEvaluator
Package
Description
org.jmol.api
org.jmol.modelkit
org.jmol.navigate
org.jmol.script
org.jmol.thread
org.jmol.viewer

## Uses of JmolScriptEvaluator in org.jmol.api

Methods in org.jmol.api that return JmolScriptEvaluator
Modifier and Type
Method
Description
`JmolScriptEvaluator`
JmolScriptEvaluator.`setViewer(Viewer vwr)`
`JmolScriptEvaluator`
JmolScriptManager.`setViewer(Viewer vwr)`
Methods in org.jmol.api with parameters of type JmolScriptEvaluator
Modifier and Type
Method
Description
`BS`
JmolScriptManager.`getAtomBitSetEval(JmolScriptEvaluator eval, Object atomExpression)`
`void`
JmolNavigatorInterface.`navigateList(JmolScriptEvaluator eval, Lst<Object[]> list)`

## Uses of JmolScriptEvaluator in org.jmol.modelkit

Methods in org.jmol.modelkit with parameters of type JmolScriptEvaluator
Modifier and Type
Method
Description
`void`
ModelKit.`cmdMinimize(JmolScriptEvaluator eval, BS bsBasis, int steps, float crit, float rangeFixed, int flags)`
Minimize a unit cell with full symmetry constraints.

## Uses of JmolScriptEvaluator in org.jmol.navigate

Methods in org.jmol.navigate with parameters of type JmolScriptEvaluator
Modifier and Type
Method
Description
`void`
Navigator.`navigateList(JmolScriptEvaluator eval, Lst<Object[]> list)`

## Uses of JmolScriptEvaluator in org.jmol.script

Classes in org.jmol.script that implement JmolScriptEvaluator
Modifier and Type
Class
Description
`class`
`ScriptError`
Error handling for ScriptEvaluator, ScriptProcess, and ScriptParams
`class`
`ScriptEval`
`class`
`ScriptParam`
The ScriptParam class holds methods used to parse parameters in Jmol scripts.
Methods in org.jmol.script that return JmolScriptEvaluator
Modifier and Type
Method
Description
`JmolScriptEvaluator`
ScriptManager.`setViewer(Viewer vwr)`
Methods in org.jmol.script with parameters of type JmolScriptEvaluator
Modifier and Type
Method
Description
`BS`
ScriptManager.`getAtomBitSetEval(JmolScriptEvaluator eval, Object atomExpression)`

## Uses of JmolScriptEvaluator in org.jmol.thread

Fields in org.jmol.thread declared as JmolScriptEvaluator
Modifier and Type
Field
Description
`protected JmolScriptEvaluator`
JmolThread.`eval`
Methods in org.jmol.thread with parameters of type JmolScriptEvaluator
Modifier and Type
Method
Description
`void`
JmolThread.`setEval(JmolScriptEvaluator eval)`
JavaScript only -- -- scriptDelay, moveTo, spin -- save context for restoration later -- move program counter forward one command

## Uses of JmolScriptEvaluator in org.jmol.viewer

Fields in org.jmol.viewer declared as JmolScriptEvaluator
Modifier and Type
Field
Description
`JmolScriptEvaluator`
Viewer.`eval`
Methods in org.jmol.viewer with parameters of type JmolScriptEvaluator
Modifier and Type
Method
Description
`ScriptContext`
Viewer.`getEvalContextAndHoldQueue(JmolScriptEvaluator eval)`
`void`
Viewer.`minimize(JmolScriptEvaluator eval, int steps, float crit, BS bsSelected, BS bsFixed, BS bsInFrame, float rangeFixed, int flags)`
From the MINIMIZE command and other sources.
`void`
Viewer.`move(JmolScriptEvaluator eval, V3 dRot, float dZoom, V3 dTrans, float dSlab, float floatSecondsTotal, int fps)`
`void`
Viewer.`moveTo(JmolScriptEvaluator eval, float floatSecondsTotal, P3 center, V3 rotAxis, float degrees, M3 rotationMatrix, float zoom, float xTrans, float yTrans, float rotationRadius, P3 navCenter, float xNav, float yNav, float navDepth, float cameraDepth, float cameraX, float cameraY)`
`boolean`
TransformManager.`moveToPyMOL(JmolScriptEvaluator eval, float floatSecondsTotal, float[] pymolView)`
`void`
TransformManager.`navigateList(JmolScriptEvaluator eval, Lst<Object[]> list)`
`boolean`
Viewer.`rotateAboutPointsInternal(JmolScriptEvaluator eval, P3 point1, P3 point2, float degreesPerSecond, float endDegrees, boolean isSpin, BS bsSelected, V3 translation, Lst<P3> finalPoints, float[] dihedralList, M3 vectorMatrix, M4 m4, boolean useModelKit, P3[][] centerAndPoints)`
`boolean`
Viewer.`rotateAxisAngleAtCenter(JmolScriptEvaluator eval, P3 rotCenter, V3 rotAxis, float degreesPerSecond, float endDegrees, boolean isSpin, BS bsSelected)`